complimentary_colors 0.0.3

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new64

Complimentary Colors Build Status

A Dart package for finding complimentary colors.

Installation

  1. Add this to your package's pubspec.yaml file:
dependencies:
  complimentary_colors: any
  1. Get the package using your IDE's GUI or via command line with
$ pub get
  1. Import the complimentary_colors.dart file in your app
import 'package:complimentary_colors/complimentary_colors.dart';

Usage

To get the complimentary color of a hex value

HexColor givenColor = new HexColor("FF0000");
HexColor complimentaryColor = CalculateComplimentaryColor.fromHex(givenColor)

To get the complimentary color of a hsl value

HslColor givenColor = new HslColor(270, 100, 100);
HslColor complimentaryColor = CalculateComplimentaryColor.fromHsl(givenColor)

0.0.1

  • Initial publish with support of hex and hsl colors.

0.0.2

  • Added example usage. Formatted code to comply with dartfmt.

0.0.3

  • Added support for rgb colors.

example/example.dart

import 'package:color/color.dart';
import 'package:complimentary_colors/complimentary_colors.dart';

class Example {
  HexColor givenHexColor = new HexColor("FF0000");
  HslColor givenHslColor = new HslColor(270, 100, 100);
  Example() {
    //Get the complimentary color of "FF0000";
    HexColor complimentaryHexColor =
        CalculateComplimentaryColor.fromHex(givenHexColor);

    //Get the complimentary color of (270, 100, 100);
    HslColor complimentaryHslColor =
        CalculateComplimentaryColor.fromHsl(givenHslColor);
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  complimentary_colors: "^0.0.3"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:complimentary_colors/complimentary_colors.dart';
  
Version Uploaded Documentation Archive
0.0.3 Apr 26, 2018 Go to the documentation of complimentary_colors 0.0.3 Download complimentary_colors 0.0.3 archive
0.0.2 Apr 26, 2018 Go to the documentation of complimentary_colors 0.0.2 Download complimentary_colors 0.0.2 archive
0.0.1 Apr 26, 2018 Go to the documentation of complimentary_colors 0.0.1 Download complimentary_colors 0.0.1 archive

Analysis

We analyzed this package on May 22, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.54.0
  • pana: 0.11.1

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
28 / 100
Health:
Code health derived from static analysis. [more]
100 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100 / 100
Overall score:
Weighted score of the above. [more]
64
Learn more about scoring.

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:complimentary_colors/complimentary_colors.dart.

Suggestions

  • Package is pre-v1 release.

    While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK any
color >=2.0.2 <3.0.0 2.0.2
Dev dependencies
test >=0.12.34 <1.0.0